---
name: 🐛 Bug report
labels:
about: Create a report to help us improve
---

## 🐛 Bug Report

A clear and concise description of what the bug is.

If your bug report involves classes, check the [docs](https://immerjs.github.io/immer/docs/complex-objects) on how classes are handled first. For patches, don't file issues if they are not optimal, only if they are incorrect.

## Link to repro

_A bug report without a reproduction is not a bug report. Failing to follow this templately is likely to result in an immediate close & lock of the issue._

Please provide either a [CodeSandbox demo](https://codesandbox.io/s/immer-sandbox-6wijw), or a PR with a unit test. In limited cases, a _minimal_ repository on GitHub is accepted as well.

## To Reproduce

Steps to reproduce the behavior:

## Observed behavior

A description of what behavior you observed and why you consider it faulty.

## Expected behavior

A clear and concise description of what you expected to happen instead.

## Environment

We only accept bug reports against the latest Immer version.

- **Immer version:**
- [ ] I filed this report against the _latest_ version of Immer
- [ ] Occurs with `setUseProxies(true)`
- [ ] Occurs with `setUseProxies(false)` (ES5 only)
